"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModifiedAccessorFN = void 0;
const table_components_1 = require("../table.components");
const common_testdata_1 = require("../../common/common.testdata");
const meta = {
    title: 'react-bootstrap-table/Table',
    component: (table_components_1.RBTable),
    tags: ['autodocs'],
};
exports.default = meta;
const SimpleColumnDefs = [
    {
        accessorFn: (row) => {
            return row.firstName + ' ' + row.surname;
        },
        id: 'name',
        header: 'Full Name',
    },
    {
        accessorFn: () => {
            return 'age';
        },
        id: 'age',
        header: 'Age',
    },
];
exports.ModifiedAccessorFN = {
    args: {
        columns: SimpleColumnDefs,
        data: common_testdata_1.SimpleDataset,
    },
};
//# sourceMappingURL=table.modifiedAccessorFN.stories.js.map